import Component from '../component.js';
import DivComponent from '../div.js';
import SpanComponent from '../span.js';
import CoEuiGrowlItem from './eui-growl-item.js';

export default class CoEuiGrowl extends Component {
  constructor(parent) {
    let selector = 'eui-growl';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-growl/eui-growl.component.html
  }
  get dataE2ECO() {
    return new DivComponent(this.currentPath).addPredicateAttributeContains('data-e2e', 'eui-growl');
  }
  get growlItemCO() {
    return new CoEuiGrowlItem(this.dataE2ECO);
  }
  get growlItemContainerInfoCO() {
    return new DivComponent(this.growlItemContainerCO).addPredicateClassContains('eui-growl-item-container--info');
  }
  get growlItemInfoCO() {
    return new DivComponent(this.growlItemContainerInfoCO).addPredicateClassContains('eui-growl-item');
  }
  get growlItemMessageInfoCO() {
    return new DivComponent(this.growlItemInfoCO).addPredicateClassContains('eui-growl-item-message');
  }
  get growlTitleInfoCO() {
    return new SpanComponent(this.growlItemMessageInfoCO).addPredicateClassContains('eui-growl-item-message-title');
  }
  get growlItemInfoCloseCO() {
    return new DivComponent(this.growlItemInfoCO).addPredicateClassContains('eui-growl-item-close');
  }
}
